# deVisualPage.tcl: Remove Visual Page turds
#
# $Id: deVisualPage.tcl,v 1.3 2001/07/22 21:47:10 johnr Exp $
#
# Copyright (c) 1998-2001 The Regents of the University of California.
# All rights reserved. See the file COPYRIGHT for details.
#

#######################################################################
#### deVisualPage
#
# Attempt to remove some of the crap that Visual Page
# puts in its output.
#
proc deVisualPage {DIVA {dir {}}} {
    if {$dir == ""} {
	set dir [pwd]
    }
    foreach file [glob -nocomplain [file join $dir *.html]] {
	set fd [open $file]
	set text [read $fd]
	close $fd

	set p1 "\t*<!DOCTYPE\[^>\]+>\n"
	set p2 "\t*<META HTTP-EQUIV=\[^>\]+>\n"
	set p3 "\t*<META NAME=\[^>\]+>\n"
	set p4 "\t*<!--last modified\[^>\]+>\n"
	set changed 0

	foreach p [list $p1 $p2 $p3 $p4] {
	    if [regsub -all -nocase $p $text {} text] {
		set changed 1
	    }
	}
	    
	if $changed {
	    puts $file
	    set fd [open $file "w"]
	    puts $fd $text
	    close $fd
	}
    }
    foreach d [glob -nocomplain [file join $dir *]] {
	if [file isdirectory $d] {
	    deVisualPage $DIVA [file join $dir $d]
	}
    }
}







